Bug 1142515 - wxPython changes to support wxPython3
Summary: wxPython changes to support wxPython3
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: wxPython
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Scott Talbert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-16 23:56 UTC by Scott Talbert
Modified: 2015-03-13 03:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-13 03:05:12 UTC


Attachments (Terms of Use)

Description Scott Talbert 2014-09-16 23:56:05 UTC
Hi,

I am working on packaging wxPython 3.0, and I wanted to start a discussion about changes needed to the wxPython package to support parallel installation of wxPython3.  If you'd prefer to discuss somewhere other than bugzilla, that's fine.  :-)

This is what I was thinking (and is similar to what Debian did):

1) Separate wxversion.py into a separate package (wxPython-wxversion?) and have the main package depend on it.  wxPython3 package would do the same thing (if both wxPython packages were installed, the wxPython-wxversion from wxPython3 would be used).

2) Separate /usr/bin/* into a separate package (wxPython-utils?).  wxPython3 version would replace it if installed.

3) Move wx.pth out of %{python_sitearch} and into some wxPython 2.8 specific directory.  Use update-alternatives to symlink it into %{python_sitearch}.  wxPython3 package would do the same thing (wxPython 2.8 package should have higher priority at first, though)

Thoughts?

Thanks,
Scott

Comment 1 Scott Talbert 2014-10-07 03:36:05 UTC
Hi Dan,

Any thoughts on this?

Thanks,
Scott

Comment 2 Scott Talbert 2014-11-22 20:40:40 UTC
Hi Dan,

Please respond.  I would like to proceed with getting wxPython 3 into F22.

Comment 3 Scott Talbert 2014-11-29 21:04:48 UTC
Dan,

Please respond.

Comment 4 Dan Horák 2014-11-29 21:30:17 UTC
Hi Scott, sorry for the delays. Generally I don't think it is necessary to have a parallel installable wxPython3, I can't the see the benefit of the added complexity to the package. But if you are willing to take over the maintainership for wxPython 2 it will be appreciated as I'm busy with lots of other stuff (as you can see). Fortunately the latest release 3.0.2.0 adds support for GTK3 based wxWidgets because that's what is used in wxGTK3 builds.

Comment 5 Scott Talbert 2014-11-29 21:40:08 UTC
(In reply to Dan Horák from comment #4)
> Hi Scott, sorry for the delays. Generally I don't think it is necessary to
> have a parallel installable wxPython3, I can't the see the benefit of the
> added complexity to the package. But if you are willing to take over the
> maintainership for wxPython 2 it will be appreciated as I'm busy with lots
> of other stuff (as you can see). Fortunately the latest release 3.0.2.0 adds
> support for GTK3 based wxWidgets because that's what is used in wxGTK3
> builds.

Thanks for responding.  Yes, I am aware of the GTK3 support being added as I helped work on that patch.  :-)

Unfortunately, there are still some bugs in the wxWidgets GTK3 implementation, so that is the main reason I was proposing a parallel install - to avoid introducing those bugs without a fallback path for wxPython applications.  Also, since wxGTK went with a parallel install, we might as well, too?

I'll go ahead and apply for wxPython 2 ACLs in PKGDB.

Comment 6 Dan Horák 2014-11-29 21:52:33 UTC
Approved, use your power for good :-)

Looks to me that with wxGTK3 it was easier to make it parallel installable.

Comment 7 Scott Talbert 2014-11-30 01:01:48 UTC
(In reply to Dan Horák from comment #6)
> Approved, use your power for good :-)
> 
> Looks to me that with wxGTK3 it was easier to make it parallel installable.

Will do.  :-)

Yes, although looking at the git log for wxGTK3 I think he has had some challenges there too.

Thanks.

Comment 8 Jaroslav Reznik 2015-03-03 16:18:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 9 Scott Talbert 2015-03-13 03:05:12 UTC
Closing this as WONTFIX since we went with wxPython3 as a replacement install vs. a parallel install.


Note You need to log in before you can comment on or make changes to this bug.